﻿
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Calibri;
    font-size: 1rem;
    color: var(--txt);
}

:root {
    --bg--card: rgba(0, 0, 0,.50);
    --bg-card-strong: rgba(0,0,0,.80);
    --txt: #ffffff;
    --muted: #888b8d;
    --brand: #888b8d;
    --brand-2: #da291c;
    --brand-3: #000000;
    --brand-4: #ffffff;
    --brand-5: #4298b5;
    --brand-6: #f8c545;
    --darkBlue: #4298b550;
    --darkRed: #da291c50;
    --darkYellow: #f8c54550;
    --border: #393a3b;
    --shadow: 0 10px 30px #000000;
    --shadow-strong: 0 10px 30px rgba(0,0,0);
    --radius: 30px;
    --gap: 30px;
    --height: 2.5rem;
    --padding: 30px;
}

html {
    height: 100dvh;
    width: 100dvw;
    overflow: hidden;
}

    html::before {
        content: "";
        position: fixed;
        top: -200px;
        left: 0px;
        right: -1000px;
        bottom: 0px;
        background-image: linear-gradient(90deg, rgb(0 0 0/ 0.10), rgb(0 0 0/ 0.30)), url('../Images/Magna_LoginSuv_Wallpaper.jpg');
        background-size: cover;
        background-position: initial;
        z-index: -1;
    }

body {
    display: flex;
    grid-area: content;
    align-items: center;
    justify-content: center;
    min-height: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
}

.login__container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: var(--padding);
    border-radius: var(--radius);
    gap: var(--gap);
    min-height: fit-content;
    width: 400px;
    background: var(--bg-card-strong);
    box-shadow: var(--shadow);
}

.login__header-image {
    height: 5rem;
    margin-top: 20px;
}

.login__subtitle {
    justify-content: center;
    align-items: center;
    color: var(--txt);
    font-size: 1.8rem;
    font-weight: bold;  
}

.login__title {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    font-weight: normal;
    color: var(--txt);
    margin: 30px 0;
}

.login__form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5px;
    width: 100%;
    margin-top: 15px;
}

.login__input-group {
    position: relative;
    width: 80%;
}

.login__input {
    width: 100%;
    height: var(--height);
    padding: 12px 10px;
    border: 2px solid var(--brand);
    border-radius: 13px;
    background: var(--border);
    color: var(--txt);
    font-size: 1rem;
    outline: none;
    transition: border 0.3s, color 0.3s;
}

    .login__input:hover {
        background: var(--bg--card);
        transition: all 0s;
    }

    .login__input:focus {
        background: var(--bg--card);
    }

    .login__input:not(:placeholder-shown) {
        border: 2px solid var(--brand);
        background: var(--bg--card);
        color: var(--txt);
    }

.login__label {
    position: absolute;
    top: 50%;
    left: 13px;
    transform: translateY(-50%);
    color: var(--brand-4);
    background: transparent;
    font-size: 0.9rem;
    pointer-events: none;
    transition: 0.3s ease all;
}

.login__input:focus + .login__label,
.login__input:not(:placeholder-shown) + .login__label {
    top: -13px;
    left: 5px;
    color: var(--txt);
}

.login__error {
    color: var(--brand-6);
    padding: 2px 8px;
    width: 80%;
    text-align: left;
}

.login__button {
    width: 80%;
    height: var(--height);
    border-radius: var(--radius);
    border: 2px solid var(--brand-2);
    background: var(--brand-2);
    cursor: pointer;
    margin-top: 20px;
    filter: brightness(85%);
    transition: all 0.3s;
}

    .login__button:hover {
        filter: none;
        transition: 0s;
    }

    .login__button:active {
        filter: brightness(100%);
        transition: all 0s;
    }

.register_Button {
    display: none;
    margin-top: 50px;
    width: 400px;
    height: 40px;
    border-radius: 18px;
    border: 2px solid var(--border);
    background: #1b2026;
    font-weight: bold;
    font-size: 1rem;
    color: #ffffff;
    cursor: pointer;
    transition: all 0.5s;
}

.login_Link {
    color: var(--brand);
    text-decoration: none;
    margin-top: 80px;
    transition: all 0.5s;
}

.login_Link:hover {
    color: var(--txt);
    transition: all 0s;
}

.failure-Container {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 80%;
    color: var(--brand-6);
    margin-top: -20px;
}

::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

::-webkit-scrollbar-track {
    background: var(--border);
}

::-webkit-scrollbar-thumb {
    background: var(--brand);
    border-radius: 5px;
    transition: all 0.3s;
}

    ::-webkit-scrollbar-thumb:hover {
        background: var(--txt);
        cursor: pointer;
        transition: all 0.0s;
    }